<?php
function optionsframework_option_name() {
	$themename = get_option( 'stylesheet' );
	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );
}

function optionsframework_options() {
	$options = array();

	$wp_editor_settings = array(
		'wpautop' => true, // Default
		'textarea_rows' => 5,
		 'teeny'  => 'true',
		'tinymce' => array( 'plugins' => 'wordpress')
	);

/* General Settings  */

$options[] = array( "name" => __('Basic','prnews'),
			"type" => "heading");

$options[] = array( "name" => __('Small Logo','prnews'),
             'desc' => __('Logo height should be 40px. Width is flexible. Leave blank to use site title text.', 'prnews'),
			"id" => "prnews_logo",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('Large Logo','prnews'),
			"desc" => __('Select a file to appear as the large logo for your site if you chose to have the logo below the navigation. The recommended maximum dimensions (if you plan on using a 728x90 ad) for this logo are 222x90.','prnews'),
			"id" => "prnews_logo_large",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('Custom Favicon','prnews'),
			"desc" => __('Upload a 16x16px PNG/GIF image that will represent your website\'s favicon.','prnews'),
			"id" => "prnews_favicon",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('Custom CSS','prnews'),
			"desc" => "Enter your custom CSS here. You will not lose any of the CSS you enter here if you update the theme to a new version.",
			"id" => "prnews_customcss",
			"std" => "",
			"type" => "textarea");

/* Social Media Settings */
$options[] = array( "name" => __('Social Media Settings','prnews'),
			"type" => "heading");
$options[] = array( "name" => __('Search','prnews'),
			"desc" => "Display search box.",
			"id" => "prnews_search",
			 "std" => "true",
			"type" => "checkbox");

$options[] = array( "name" => __('RSS','prnews'),
			"desc" => "Display RSS.",
			"id" => "prnews_rss",
			 "std" => "true",
			"type" => "checkbox");

$options[] = array( "name" => __('Facebook','prnews'),
			"desc" => "Enter your Facebook Page full URL here.",
			"id" => "prnews_facebook",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('Twitter','prnews'),
			"desc" => "Enter your Twitter full URL here.",
			"id" => "prnews_twitter",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('Pinterest','prnews'),
			"desc" => "Enter your Pinterest full URL here.",
			"id" => "prnews_pinterest",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('Google Plus','prnews'),
			"desc" => "Enter your full Google Plus URL here.",
			"id" => "prnews_google",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('Linkedin','prnews'),
			"desc" => "Enter your Linkedin full URL here.",
			"id" => "prnews_linkedin",
			"std" => "",
			"type" => "text");

/* Ad Management Settings */
$options[] = array( "name" => __('Ad Management','prnews'),
			"type" => "heading");

$options[] = array( "name" => __('Attention','prnews'),
			"desc" => "The 300x250 and 160x600 ad units are controlled via Widgets.",
			"type" => "info");
 
$options[] = array( "name" => __('728x90 - 750x100 Ad Code','prnews'),
			"desc" => "Enter your ad code (Eg. Google Adsense).",
			"id" => "prnews_leader_ad",
         	"std" => "",
             'type' => 'editor',
		     'settings' => $wp_editor_settings );

$options[] = array( "name" => __('222x90 - 200x100 Ad Code','prnews'),
			"desc" => "Enter your ad code (Eg. Google Adsense).",
			"id" => "prnews_small_ad",
        	"std" => "",
			'type' => 'editor',
	    	'settings' => $wp_editor_settings );

/* Fonts */
 $typography_mixed_fonts = array_merge( options_typography_get_os_fonts());

$options[] = array( "name" => __('Fonts','prnews'),
			"type" => "heading");
$options[] = array( "name" => __('Google and System Fonts','prnews'),
			"desc" => "You do not need to select font for each element. For example. Body, paragraph and heading define the general fonts used.",
	    	"type" => "info");
$options[] = array( 'name' => 'Body / Paragraph',
	'desc' => '',
	'id' => 'google_font_body',
    'std' => array( 'size' => '14px', 'face' => 'Cambria, Georgia, serif', 'color' => '#333333'),
	'type' => 'typography',
	'options' => array(
	'faces' => $typography_mixed_fonts,
		'styles' => false )
	);
$options[] = array( 'name' => 'Site Title',
	'desc' => '',
	'id' => 'google_font_brand',
    'std' => array( 'size' => '16px', 'face' => 'Lobster, cursive', 'color' => '#333333'),
	'type' => 'typography',
	'options' => array(
	'faces' => $typography_mixed_fonts,
		'styles' => false )
	);
$options[] = array( 'name' => 'Heading (H1 - H6)',
	'desc' => '',
	'id' => 'google_font_h',
    'std' => array('face' => 'Lobster, cursive', 'color' => '#333333'),
	'type' => 'typography',
	'options' => array(
	'faces' => $typography_mixed_fonts,
	'sizes' => false,
	'styles' => false )
	);
$options[] = array( 'name' => 'Post/Page Title',
	'desc' => '',
	'id' => 'google_font_ptitle',
    'std' => array( 'size' => '16px', 'face' => 'Lobster, cursive', 'color' => '#333333'),
	'type' => 'typography',
	'options' => array(
	'faces' => $typography_mixed_fonts,
		'styles' => false )
	);
$options[] = array( 'name' => 'Widget Title',
	'desc' => '',
	'id' => 'google_font_widget_title',
    'std' => array( 'size' => '16px', 'face' => 'Lobster, cursive', 'color' => '#333333'),
	'type' => 'typography',
	'options' => array(
	'faces' => $typography_mixed_fonts,
	'styles' => false	)
	);
$options[] = array( "name" => __('Additional Google Fonts','prnews'),
			"desc" => "Choose a font from the <a href='http://google.com/webfonts' target='_blank'>Google WebFont Directory</a> and type its name in the text field.<br> Supported only for PR News Pro version",
	    	"type" => "info");

/* Footer Settings */
$options[] = array( "name" => __('Footer Info','prnews'),
			"type" => "heading");

$options[] = array( "name" => __('Copyright Text','prnews'),
			"desc" => "Here you can enter any text you want (eg. copyright text)",
			"id" => "prnews_copyright",
			"std" => "Copyright &copy; 2013 <a href=\"".home_url()."\">".get_bloginfo('name')." </a> - ".get_bloginfo('description').", powered by Wordpress",
			"type" => "textarea"); 
return $options;
}

add_action('optionsframework_after','optionsframework_options_after', 100);
function optionsframework_options_after() { ?>
    <h2> &nbsp; &nbsp; &nbsp; <a href='http://prnews.premiumresponsive.com/' target="_blank">Support</a>  </h2>
<?php }

 add_filter( 'admin_footer', 'prnews_removes_editor_visual_tab', 99 );
function prnews_removes_editor_visual_tab()
{
    ?>
    <style type="text/css">
    a.switch-tmce, a.switch-tmce:hover {
        display:none;
    }
    </style>';
    <script type="text/javascript">
    jQuery(document).ready(function() {
        document.getElementsByClassName("switch-tmce").onclick = 'none';
    });
    </script>'
    <?php
}

?>